# Generated from aladdin-0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name aladdin

Name: rubygem-%{gem_name}
Version: 0.2
Release: 1%{?dist}
Summary: A previewer for lessons written in the Genie Markup Language
License: MIT
URL: https://github.com/jimjh/genie-previewer
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.2
# BuildRequires: rubygem(yard) >= 0.8.3
# BuildRequires: rubygem(yard) < 0.9
# BuildRequires: rubygem(debugger-pry) >= 0.1.1
# BuildRequires: rubygem(debugger-pry) < 0.2
# BuildRequires: rubygem(rspec) >= 2.12.0
# BuildRequires: rubygem(rspec) < 2.13
# BuildRequires: rubygem(rack-test) >= 0.6.2
# BuildRequires: rubygem(rack-test) < 0.7
BuildArch: noarch

%description
Parses the lesson files and launches a preview site.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/aladdin
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/skeleton
%{gem_instdir}/views
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Mon Apr 18 2022 mockbuilder - 0.2-1
- Initial package
